#!/bin/bash
# your original rom files should be in orig/ directory


vasmm68k_mot -Fbin -m68000 -spaces -chklabels blah.asm -o debug.raw

cat orig/tk2u_23c.8f orig/tk2u_22c.7f > tku-223.bin
dd if=tku-223.bin of=tku-223.raw conv=swab

# exception handling
dd if=debug.raw of=tku-223.raw skip=8 seek=8 conv=notrunc bs=1 count=16

# jump away code
dd if=debug.raw of=tku-223.raw skip=30294 seek=30294 conv=notrunc bs=1 count=6

# debug code
dd if=debug.raw of=tku-223.raw skip=944224 seek=944224 conv=notrunc bs=1

dd if=tku-223.raw of=debug.bin conv=swab
dd if=debug.bin of=tk2u_23c.8f bs=524288 count=1
dd if=debug.bin of=tk2u_22c.7f bs=524288 count=1 skip=1

